node-stream-splicer_2.0.0-4_all.deb


Advertisement

Description

node-stream-splicer - streaming pipeline with a mutable configuration

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-stream-splicer_2.0.0-4_all.deb
Package name node-stream-splicer
Package version 2.0.0
Package release 4
Package architecture all
Package type deb
Category universe/javascript
Homepage https://github.com/substack/stream-splicer
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 5.54 KB
Installed size 25.00 KB
This modules allows one to create a pipeline duplex stream given an
array of streams. Each stream will be piped to the next.
Streams could also be added and removed dynamically at runtime.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-stream-splicer_2.0.0-4_all.deb 2.0.0 all Ubuntu Universe
node-stream-splicer - - -

Requires

Name Value
node-inherits >= 2.0.1
nodejs >= 6

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-stream-splicer_2.0.0-4_all.deb
Source Package node-stream-splicer

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-stream-splicer deb package:
    # sudo apt-get install node-stream-splicer

Files

Path
/usr/lib/nodejs/stream-splicer/index.js
/usr/lib/nodejs/stream-splicer/package.json
/usr/share/doc/node-stream-splicer/changelog.Debian.gz
/usr/share/doc/node-stream-splicer/copyright
/usr/share/doc/node-stream-splicer/readme.markdown
/usr/share/doc/node-stream-splicer/examples/header.js

Changelog

2019-01-15 - Bastien Roucariès <rouca@debian.org>
node-stream-splicer (2.0.0-4) unstable; urgency=medium
* Fix debci regression with nodejs (>= 10).
2018-06-07 - Bastien Roucariès <rouca@debian.org>
node-stream-splicer (2.0.0-3) unstable; urgency=medium
* Add node-tap depends
2018-06-07 - Bastien Roucariès <rouca@debian.org>
node-stream-splicer (2.0.0-2) unstable; urgency=medium
* Move to salsa
* Bump policy and compat (no changes)
2017-08-30 - Bastien Roucariès <rouca@debian.org>
node-stream-splicer (2.0.0-1) unstable; urgency=low
* Initial release (Closes: #873942)

See Also

Package Description
node-streamtest_1.2.2-1_all.deb Streams test library
node-strict-uri-encode_2.0.0-1_all.deb stricter URI encode adhering to RFC 3986
node-string-decoder_1.2.0-1_all.deb string_decoder module from Node core for browsers
node-string-width_2.1.1-1_all.deb Get the visual width of a string
node-string.prototype.codepointat_0.2.0-1_all.deb String.prototype.codePointAt polyfill based on ES6
node-stringmap_0.2.2+20130926-3_all.deb fast and robust stringmap (Node.js module)
node-stringset_0.2.1+20130926-3_all.deb fast and robust stringset (Node.js module)
node-stringstream_0.0.6-1_all.deb Encode and decode streams into string streams
node-strip-ansi_4.0.0-1_all.deb strip ANSI escape codes
node-strip-bom-stream_2.0.0-1_all.deb Strip UTF-8 byte order mark (BOM) from a stream
node-strip-bom_3.0.0-1_all.deb Strip UTF-8 byte order mark (BOM) from a string
node-strip-eof_1.0.0-2_all.deb strip CR and LF characters from a string/buffer
node-strip-indent_2.0.0-1_all.deb Strip leading whitespace from each line in a string
node-strip-json-comments_2.0.1-2_all.deb Node.js module to strip comments from JSON
node-style-loader_0.17.0-2_all.deb style loader module for webpack
Advertisement
Advertisement